# Use an official Node.js image as the base
FROM node:22.14.0-alpine

# Set the working directory in the container
WORKDIR /app

# COPY package*.json ./
COPY /src/Managing.Web3Proxy/package.json ./

# Declaring env
ENV NODE_ENV production

# Install dependencies with the --legacy-peer-deps flag to bypass peer dependency conflicts
RUN npm install

COPY src/Managing.Web3Proxy/ .

RUN npm run build

EXPOSE 4111

CMD ["npm", "run", "start"]